Subject: Re: bug#52792: 27.2; please don't hardcode utf-8 when fetching group list

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Dec 2021 09:00:54 +0200

> Date: Sun, 26 Dec 2021 10:00:42 +0800
> From: LdBeth <[email-masked]>
> 
> This patch that reverts only related changes (and does nothing else)
> in cb12a84f2c519a48dd87453c925e3bc36d9944db should make Gnus works
> again for none utf-8 NNTP servers.

Thanks, but this is not the right way to solve such problems, IMO.  We
should either make the coding-system be customizable as a simple
value, or (better) have a more complex data structure that allows to
specify the encoding for each NNTP server (or for servers matching
some regexp), with UTF-8 being the default.

Also, AFAICT, Gnus currently uses more than a single variable to hold
the coding-system it uses for decoding stuff in different situations,
so some changes will probably be needed to use a single customizable
value everywhere.